### Method

# Panel SessionItem set_metadata_value

#### Declaration [src]

    void
    panel_session_item_set_metadata_value (
      PanelSessionItem* self,
      const char* key,
      GVariant* value
    )

#### Description [src]

Sets the value for metadata `key`.

If `value` is `NULL`, the metadata key is unset.

#### Parameters

`key`

  Type: `const char*`

  The metadata key.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GVariant`

  The value for `key` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.